#include<iostream>
#include<algorithm>
#include<math.h>

using namespace std;

int main(){
	
	int x,y;
	
	cin >> x >> y;
	
	int cifra1,cifra2;
	int k=0,l=0;
	int m=0;
	
	
	while(x>0){
		
		cifra1=x%10;
		cifra2=y%10;

		cout<< cifra1 << cifra2<<"\n";
			
		if(cifra1!=cifra2 ){
			l++;
		}
		if(cifra1==cifra2){
			l+=2;
		}	
		
		
			
			if(cifra1>cifra2){
			k+=cifra1*pow(10,m);
			m++;
			l--;
		}
		
		if(cifra1<cifra2){
			k+=cifra2*pow(10,m);
			m++;
			l--;
		}
		
		if(cifra1==cifra2){
			k+=cifra1*pow(10,m)+cifra2*pow(10,m+1);
			m+=2;
			l-=2;
		}
		
		
		
		x=x/10;
		y=y/10;	
			
	}
	
	while(y>0){
		
		cifra1=x%10;
		cifra2=y%10;

		cout<< cifra1 << cifra2<<"\n";
			
		if(cifra1!=cifra2 ){
			l++;
		}
		if(cifra1==cifra2){
			l+=2;
		}	
		
		
			
			if(cifra1>cifra2){
			k+=cifra1*pow(10,m);
			m++;
			l--;
		}
		
		if(cifra1<cifra2){
			k+=cifra2*pow(10,m);
			m++;
			l--;
		}
		
		if(cifra1==cifra2){
			k+=cifra1*pow(10,m)+cifra2*pow(10,m+1);
			m+=2;
			l-=2;
		}
		
		
		
		x=x/10;
		y=y/10;	
			
	}
	
	cout << l <<endl;
	
	
	cout<<k;
	
}